Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.impl
Class FullTextSessionImpl

    java.lang.Object
      org.hibernate.search.impl.FullTextSessionImpl

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.engine.SessionImplementor, FullTextSession, org.hibernate.Session

    public class FullTextSessionImpl

extends java.lang.Object
implements FullTextSession, org.hibernate.engine.SessionImplementor

Lucene full text search aware session.

Author:
  Emmanuel Bernard, John Griffin, Hardy Ferentschik
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.Session
`org.hibernate.Session.LockRequest`

Constructor Summary
`FullTextSessionImpl(org.hibernate.Session session)`

Method Summary
`void` | `afterScrollOperation()`
`void` | `afterTransactionCompletion(boolean successful, org.hibernate.Transaction tx)`
`void` | `applyNonFlushedChanges(org.hibernate.engine.NonFlushedChanges nonFlushedChanges)`
`void` | `beforeTransactionCompletion(org.hibernate.Transaction tx)`
`org.hibernate.Transaction` | `beginTransaction()`
`java.lang.String` | `bestGuessEntityName(java.lang.Object object)`
`org.hibernate.Session.LockRequest` | `buildLockRequest(org.hibernate.LockOptions lockOptions)`
`void` | `cancelQuery()`
`void` | `clear()`
`java.sql.Connection` | `close()`
`java.sql.Connection` | `connection()`
`boolean` | `contains(java.lang.Object object)`
`org.hibernate.Criteria` | `createCriteria(java.lang.Class persistentClass)`
`org.hibernate.Criteria` | `createCriteria(java.lang.Class persistentClass, java.lang.String alias)`
`org.hibernate.Criteria` | `createCriteria(java.lang.String entityName)`
`org.hibernate.Criteria` | `createCriteria(java.lang.String entityName, java.lang.String alias)`
`org.hibernate.Query` | `createFilter(java.lang.Object collection, java.lang.String queryString)`
`FullTextQuery` | `createFullTextQuery(org.apache.lucene.search.Query luceneQuery, java.lang.Class... entities)` Execute a Lucene query and retrieve managed objects of type entities (or their indexed subclasses) If entities is empty, include all indexed entities
`MassIndexer` | `createIndexer(java.lang.Class<?>... types)` Creates a MassIndexer to rebuild the indexes of some or all indexed entity types.
`org.hibernate.Query` | `createQuery(java.lang.String queryString)`
`org.hibernate.SQLQuery` | `createSQLQuery(java.lang.String queryString)`
`org.hibernate.Query` | `createSQLQuery(java.lang.String sql, java.lang.String[] returnAliases, java.lang.Class[] returnClasses)`
`org.hibernate.Query` | `createSQLQuery(java.lang.String sql, java.lang.String returnAlias, java.lang.Class returnClass)`
`void` | `delete(java.lang.Object object)`
`int` | `delete(java.lang.String query)`
`void` | `delete(java.lang.String entityName, java.lang.Object object)`
`int` | `delete(java.lang.String query, java.lang.Object[] values, org.hibernate.type.Type[] types)`
`int` | `delete(java.lang.String query, java.lang.Object value, org.hibernate.type.Type type)`
`void` | `disableFetchProfile(java.lang.String name)`
`void` | `disableFilter(java.lang.String filterName)`
`java.sql.Connection` | `disconnect()`
`void` | `doWork(org.hibernate.jdbc.Work work)`
`void` | `enableFetchProfile(java.lang.String name)`
`org.hibernate.Filter` | `enableFilter(java.lang.String filterName)`
`void` | `evict(java.lang.Object object)`
`int` | `executeNativeUpdate(org.hibernate.engine.query.sql.NativeSQLQuerySpecification specification, org.hibernate.engine.QueryParameters queryParameters)`
`int` | `executeUpdate(java.lang.String query, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.Collection` | `filter(java.lang.Object collection, java.lang.String filter)`
`java.util.Collection` | `filter(java.lang.Object collection, java.lang.String filter, java.lang.Object[] values, org.hibernate.type.Type[] types)`
`java.util.Collection` | `filter(java.lang.Object collection, java.lang.String filter, java.lang.Object value, org.hibernate.type.Type type)`
`java.util.List` | `find(java.lang.String query)`
`java.util.List` | `find(java.lang.String query, java.lang.Object[] values, org.hibernate.type.Type[] types)`
`java.util.List` | `find(java.lang.String query, java.lang.Object value, org.hibernate.type.Type type)`
`void` | `flush()`
`void` | `flushToIndexes()` Flush all index changes forcing Hibernate Search to apply all changes to the index not waiting for the batch limit.
`java.lang.Object` | `get(java.lang.Class clazz, java.io.Serializable id)`
`java.lang.Object` | `get(java.lang.Class clazz, java.io.Serializable id, org.hibernate.LockMode lockMode)`
`java.lang.Object` | `get(java.lang.Class clazz, java.io.Serializable id, org.hibernate.LockOptions lockOptions)`
`java.lang.Object` | `get(java.lang.String entityName, java.io.Serializable id)`
`java.lang.Object` | `get(java.lang.String entityName, java.io.Serializable id, org.hibernate.LockMode lockMode)`
`java.lang.Object` | `get(java.lang.String entityName, java.io.Serializable id, org.hibernate.LockOptions lockOptions)`
`org.hibernate.jdbc.Batcher` | `getBatcher()`
`org.hibernate.CacheMode` | `getCacheMode()`
`java.io.Serializable` | `getContextEntityIdentifier(java.lang.Object object)`
`org.hibernate.LockMode` | `getCurrentLockMode(java.lang.Object object)`
`int` | `getDontFlushFromFind()`
`org.hibernate.Filter` | `getEnabledFilter(java.lang.String filterName)`
`java.util.Map` | `getEnabledFilters()`
`org.hibernate.EntityMode` | `getEntityMode()`
`java.lang.String` | `getEntityName(java.lang.Object object)`
`org.hibernate.persister.entity.EntityPersister` | `getEntityPersister(java.lang.String entityName, java.lang.Object object)`
`java.lang.Object` | `getEntityUsingInterceptor(org.hibernate.engine.EntityKey key)`
`org.hibernate.engine.SessionFactoryImplementor` | `getFactory()`
`java.lang.String` | `getFetchProfile()`
`org.hibernate.type.Type` | `getFilterParameterType(java.lang.String filterParameterName)`
`java.lang.Object` | `getFilterParameterValue(java.lang.String filterParameterName)`
`org.hibernate.FlushMode` | `getFlushMode()`
`java.io.Serializable` | `getIdentifier(java.lang.Object object)`
`org.hibernate.Interceptor` | `getInterceptor()`
`org.hibernate.jdbc.JDBCContext` | `getJDBCContext()`
`org.hibernate.event.EventListeners` | `getListeners()`
`org.hibernate.engine.LoadQueryInfluencers` | `getLoadQueryInfluencers()`
`org.hibernate.Query` | `getNamedQuery(java.lang.String queryName)`
`org.hibernate.Query` | `getNamedSQLQuery(java.lang.String name)`
`org.hibernate.engine.NonFlushedChanges` | `getNonFlushedChanges()`
`org.hibernate.engine.PersistenceContext` | `getPersistenceContext()`
`SearchFactory` | `getSearchFactory()`
`org.hibernate.Session` | `getSession(org.hibernate.EntityMode entityMode)`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`org.hibernate.stat.SessionStatistics` | `getStatistics()`
`long` | `getTimestamp()`
`org.hibernate.Transaction` | `getTransaction()`
`java.lang.String` | `guessEntityName(java.lang.Object entity)`
`java.lang.Object` | `immediateLoad(java.lang.String entityName, java.io.Serializable id)`
`
`<T> void`
` | `index(T entity)` (Re-)index an entity.
`void` | `initializeCollection(org.hibernate.collection.PersistentCollection collection, boolean writing)`
`java.lang.Object` | `instantiate(java.lang.String entityName, java.io.Serializable id)`
`java.lang.Object` | `internalLoad(java.lang.String entityName, java.io.Serializable id, boolean eager, boolean nullable)`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`boolean` | `isDefaultReadOnly()`
`boolean` | `isDirty()`
`boolean` | `isEventSource()`
`boolean` | `isFetchProfileEnabled(java.lang.String name)`
`boolean` | `isOpen()`
`boolean` | `isReadOnly(java.lang.Object entityOrProxy)`
`boolean` | `isTransactionInProgress()`
`java.util.Iterator` | `iterate(java.lang.String query)`
`java.util.Iterator` | `iterate(java.lang.String query, java.lang.Object[] values, org.hibernate.type.Type[] types)`
`java.util.Iterator` | `iterate(java.lang.String query, java.lang.Object value, org.hibernate.type.Type type)`
`java.util.Iterator` | `iterate(java.lang.String query, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.Iterator` | `iterateFilter(java.lang.Object collection, java.lang.String filter, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.List` | `list(org.hibernate.impl.CriteriaImpl criteria)`
`java.util.List` | `list(org.hibernate.engine.query.sql.NativeSQLQuerySpecification spec, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.List` | `list(java.lang.String query, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.List` | `listCustomQuery(org.hibernate.loader.custom.CustomQuery customQuery, org.hibernate.engine.QueryParameters queryParameters)`
`java.util.List` | `listFilter(java.lang.Object collection, java.lang.String filter, org.hibernate.engine.QueryParameters queryParameters)`
`java.lang.Object` | `load(java.lang.Class theClass, java.io.Serializable id)`
`java.lang.Object` | `load(java.lang.Class theClass, java.io.Serializable id, org.hibernate.LockMode lockMode)`
`java.lang.Object` | `load(java.lang.Class theClass, java.io.Serializable id, org.hibernate.LockOptions lockOptions)`
`void` | `load(java.lang.Object object, java.io.Serializable id)`
`java.lang.Object` | `load(java.lang.String entityName, java.io.Serializable id)`
`java.lang.Object` | `load(java.lang.String entityName, java.io.Serializable id, org.hibernate.LockMode lockMode)`
`java.lang.Object` | `load(java.lang.String entityName, java.io.Serializable id, org.hibernate.LockOptions lockOptions)`
`void` | `lock(java.lang.Object object, org.hibernate.LockMode lockMode)`
`void` | `lock(java.lang.String entityName, java.lang.Object object, org.hibernate.LockMode lockMode)`
`java.lang.Object` | `merge(java.lang.Object object)`
`java.lang.Object` | `merge(java.lang.String entityName, java.lang.Object object)`
`void` | `persist(java.lang.Object object)`
`void` | `persist(java.lang.String entityName, java.lang.Object object)`
`
`<T> void`
` | `purge(java.lang.Class<T> entityType, java.io.Serializable id)` Remove the entity with the type `entityType` and the identifier `id` from the index.
`
`<T> void`
` | `purgeAll(java.lang.Class<T> entityType)` Remove all entities from of particular class and all its subclasses from the index.
`void` | `reconnect()`
`void` | `reconnect(java.sql.Connection connection)`
`void` | `refresh(java.lang.Object object)`
`void` | `refresh(java.lang.Object object, org.hibernate.LockMode lockMode)`
`void` | `refresh(java.lang.Object object, org.hibernate.LockOptions lockOptions)`
`void` | `replicate(java.lang.Object object, org.hibernate.ReplicationMode replicationMode)`
`void` | `replicate(java.lang.String entityName, java.lang.Object object, org.hibernate.ReplicationMode replicationMode)`
`java.io.Serializable` | `save(java.lang.Object object)`
`void` | `save(java.lang.Object object, java.io.Serializable id)`
`java.io.Serializable` | `save(java.lang.String entityName, java.lang.Object object)`
`void` | `save(java.lang.String entityName, java.lang.Object object, java.io.Serializable id)`
`void` | `saveOrUpdate(java.lang.Object object)`
`void` | `saveOrUpdate(java.lang.String entityName, java.lang.Object object)`
`java.lang.Object` | `saveOrUpdateCopy(java.lang.Object object)`
`java.lang.Object` | `saveOrUpdateCopy(java.lang.Object object, java.io.Serializable id)`
`java.lang.Object` | `saveOrUpdateCopy(java.lang.String entityName, java.lang.Object object)`
`java.lang.Object` | `saveOrUpdateCopy(java.lang.String entityName, java.lang.Object object, java.io.Serializable id)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.impl.CriteriaImpl criteria, org.hibernate.ScrollMode scrollMode)`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.engine.query.sql.NativeSQLQuerySpecification spec, org.hibernate.engine.QueryParameters queryParameters)`
`org.hibernate.ScrollableResults` | `scroll(java.lang.String query, org.hibernate.engine.QueryParameters queryParameters)`
`org.hibernate.ScrollableResults` | `scrollCustomQuery(org.hibernate.loader.custom.CustomQuery customQuery, org.hibernate.engine.QueryParameters queryParameters)`
`void` | `setAutoClear(boolean enabled)`
`void` | `setCacheMode(org.hibernate.CacheMode cacheMode)`
`void` | `setDefaultReadOnly(boolean readOnly)`
`void` | `setFetchProfile(java.lang.String name)`
`void` | `setFlushMode(org.hibernate.FlushMode flushMode)`
`void` | `setReadOnly(java.lang.Object entity, boolean readOnly)`
`void` | `update(java.lang.Object object)`
`void` | `update(java.lang.Object object, java.io.Serializable id)`
`void` | `update(java.lang.String entityName, java.lang.Object object)`
`void` | `update(java.lang.String entityName, java.lang.Object object, java.io.Serializable id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextSessionImpl

    public FullTextSessionImpl(org.hibernate.Session session)

Method Detail

### createFullTextQuery

    public FullTextQuery createFullTextQuery(org.apache.lucene.search.Query luceneQuery,
                                             java.lang.Class... entities)

  Execute a Lucene query and retrieve managed objects of type entities (or their indexed subclasses) If entities is empty, include all indexed entities

  Specified by:
    `createFullTextQuery` in interface `FullTextSession`
  Parameters:
    `entities` - must be immutable for the lifetime of the query object
    `luceneQuery` - The native Lucene query to be rn against the Lucene index.
  Returns:
    A `FullTextQuery` wrapping around the native Lucene wuery.

### purgeAll

    public <T> void purgeAll(java.lang.Class<T> entityType)

  Remove all entities from of particular class and all its subclasses from the index.

  Specified by:
    `purgeAll` in interface `FullTextSession`
  Parameters:
    `entityType` - The class of the entities to remove.

### flushToIndexes

    public void flushToIndexes()

  Description copied from interface: `FullTextSession`
  Flush all index changes forcing Hibernate Search to apply all changes to the index not waiting for the batch limit.

  Specified by:
    `flushToIndexes` in interface `FullTextSession`

### purge

    public <T> void purge(java.lang.Class<T> entityType,
                          java.io.Serializable id)

  Remove the entity with the type `entityType` and the identifier `id` from the index. If `id == null` all indexed entities of this type and its indexed subclasses are deleted. In this case this method behaves like `FullTextSession.purgeAll(Class)`.

  Specified by:
    `purge` in interface `FullTextSession`
  Parameters:
    `entityType` - The type of the entity to delete.
    `id` - The id of the entity to delete.

### index

    public <T> void index(T entity)

  (Re-)index an entity. The entity must be associated with the session and non indexable entities are ignored.

  Specified by:
    `index` in interface `FullTextSession`
  Parameters:
    `entity` - The entity to index - must not be `null`.
  Throws:
    `java.lang.IllegalArgumentException` - if entity is null or not an @Indexed entity

### createIndexer

    public MassIndexer createIndexer(java.lang.Class<?>... types)

  Description copied from interface: `FullTextSession`
  Creates a MassIndexer to rebuild the indexes of some or all indexed entity types. Instances cannot be reused.

  Specified by:
    `createIndexer` in interface `FullTextSession`
  Parameters:
    `types` - optionally restrict the operation to selected types
  Returns:

### getSearchFactory

    public SearchFactory getSearchFactory()

  Specified by:
    `getSearchFactory` in interface `FullTextSession`
  Returns:
    the `SearchFactory` instance.

### createSQLQuery

    public org.hibernate.Query createSQLQuery(java.lang.String sql,
                                              java.lang.String returnAlias,
                                              java.lang.Class returnClass)

### createSQLQuery

    public org.hibernate.Query createSQLQuery(java.lang.String sql,
                                              java.lang.String[] returnAliases,
                                              java.lang.Class[] returnClasses)

### delete

    public int delete(java.lang.String query)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### delete

    public int delete(java.lang.String query,
                      java.lang.Object value,
                      org.hibernate.type.Type type)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### delete

    public int delete(java.lang.String query,
                      java.lang.Object[] values,
                      org.hibernate.type.Type[] types)
               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public java.util.Collection filter(java.lang.Object collection,
                                       java.lang.String filter)
                                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public java.util.Collection filter(java.lang.Object collection,
                                       java.lang.String filter,
                                       java.lang.Object value,
                                       org.hibernate.type.Type type)
                                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### filter

    public java.util.Collection filter(java.lang.Object collection,
                                       java.lang.String filter,
                                       java.lang.Object[] values,
                                       org.hibernate.type.Type[] types)
                                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public java.util.List find(java.lang.String query)
                        throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public java.util.List find(java.lang.String query,
                               java.lang.Object value,
                               org.hibernate.type.Type type)
                        throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### find

    public java.util.List find(java.lang.String query,
                               java.lang.Object[] values,
                               org.hibernate.type.Type[] types)
                        throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### iterate

    public java.util.Iterator iterate(java.lang.String query)
                               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### iterate

    public java.util.Iterator iterate(java.lang.String query,
                                      java.lang.Object value,
                                      org.hibernate.type.Type type)
                               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### iterate

    public java.util.Iterator iterate(java.lang.String query,
                                      java.lang.Object[] values,
                                      org.hibernate.type.Type[] types)
                               throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### save

    public void save(java.lang.String entityName,
                     java.lang.Object object,
                     java.io.Serializable id)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### save

    public void save(java.lang.Object object,
                     java.io.Serializable id)
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public java.lang.Object saveOrUpdateCopy(java.lang.String entityName,
                                             java.lang.Object object)
                                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public java.lang.Object saveOrUpdateCopy(java.lang.String entityName,
                                             java.lang.Object object,
                                             java.io.Serializable id)
                                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public java.lang.Object saveOrUpdateCopy(java.lang.Object object)
                                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdateCopy

    public java.lang.Object saveOrUpdateCopy(java.lang.Object object,
                                             java.io.Serializable id)
                                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(java.lang.String entityName,
                       java.lang.Object object,
                       java.io.Serializable id)
                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(java.lang.Object object,
                       java.io.Serializable id)
                throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### beginTransaction

    public org.hibernate.Transaction beginTransaction()
                                               throws org.hibernate.HibernateException

  Specified by:
    `beginTransaction` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### cancelQuery

    public void cancelQuery()
                     throws org.hibernate.HibernateException

  Specified by:
    `cancelQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.hibernate.Session`

### close

    public java.sql.Connection close()
                              throws org.hibernate.HibernateException

  Specified by:
    `close` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### connection

    public java.sql.Connection connection()
                                   throws org.hibernate.HibernateException

  Specified by:
    `connection` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `connection` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### contains

    public boolean contains(java.lang.Object object)

  Specified by:
    `contains` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(java.lang.String entityName)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(java.lang.String entityName,
                                                 java.lang.String alias)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(java.lang.Class persistentClass)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createCriteria

    public org.hibernate.Criteria createCriteria(java.lang.Class persistentClass,
                                                 java.lang.String alias)

  Specified by:
    `createCriteria` in interface `org.hibernate.Session`

### createFilter

    public org.hibernate.Query createFilter(java.lang.Object collection,
                                            java.lang.String queryString)
                                     throws org.hibernate.HibernateException

  Specified by:
    `createFilter` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createQuery

    public org.hibernate.Query createQuery(java.lang.String queryString)
                                    throws org.hibernate.HibernateException

  Specified by:
    `createQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### createSQLQuery

    public org.hibernate.SQLQuery createSQLQuery(java.lang.String queryString)
                                          throws org.hibernate.HibernateException

  Specified by:
    `createSQLQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(java.lang.String entityName,
                       java.lang.Object object)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### delete

    public void delete(java.lang.Object object)
                throws org.hibernate.HibernateException

  Specified by:
    `delete` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### disableFilter

    public void disableFilter(java.lang.String filterName)

  Specified by:
    `disableFilter` in interface `org.hibernate.Session`

### disconnect

    public java.sql.Connection disconnect()
                                   throws org.hibernate.HibernateException

  Specified by:
    `disconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### enableFilter

    public org.hibernate.Filter enableFilter(java.lang.String filterName)

  Specified by:
    `enableFilter` in interface `org.hibernate.Session`

### evict

    public void evict(java.lang.Object object)
               throws org.hibernate.HibernateException

  Specified by:
    `evict` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### flush

    public void flush()
               throws org.hibernate.HibernateException

  Specified by:
    `flush` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `flush` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.Class clazz,
                                java.io.Serializable id)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.Class clazz,
                                java.io.Serializable id,
                                org.hibernate.LockMode lockMode)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.Class clazz,
                                java.io.Serializable id,
                                org.hibernate.LockOptions lockOptions)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.String entityName,
                                java.io.Serializable id)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.String entityName,
                                java.io.Serializable id,
                                org.hibernate.LockMode lockMode)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### get

    public java.lang.Object get(java.lang.String entityName,
                                java.io.Serializable id,
                                org.hibernate.LockOptions lockOptions)
                         throws org.hibernate.HibernateException

  Specified by:
    `get` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getCacheMode

    public org.hibernate.CacheMode getCacheMode()

  Specified by:
    `getCacheMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getCacheMode` in interface `org.hibernate.Session`

### getCurrentLockMode

    public org.hibernate.LockMode getCurrentLockMode(java.lang.Object object)
                                              throws org.hibernate.HibernateException

  Specified by:
    `getCurrentLockMode` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getEnabledFilter

    public org.hibernate.Filter getEnabledFilter(java.lang.String filterName)

  Specified by:
    `getEnabledFilter` in interface `org.hibernate.Session`

### getInterceptor

    public org.hibernate.Interceptor getInterceptor()

  Specified by:
    `getInterceptor` in interface `org.hibernate.engine.SessionImplementor`

### setAutoClear

    public void setAutoClear(boolean enabled)

  Specified by:
    `setAutoClear` in interface `org.hibernate.engine.SessionImplementor`

### isTransactionInProgress

    public boolean isTransactionInProgress()

  Specified by:
    `isTransactionInProgress` in interface `org.hibernate.engine.SessionImplementor`

### initializeCollection

    public void initializeCollection(org.hibernate.collection.PersistentCollection collection,
                                     boolean writing)
                              throws org.hibernate.HibernateException

  Specified by:
    `initializeCollection` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### internalLoad

    public java.lang.Object internalLoad(java.lang.String entityName,
                                         java.io.Serializable id,
                                         boolean eager,
                                         boolean nullable)
                                  throws org.hibernate.HibernateException

  Specified by:
    `internalLoad` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### immediateLoad

    public java.lang.Object immediateLoad(java.lang.String entityName,
                                          java.io.Serializable id)
                                   throws org.hibernate.HibernateException

  Specified by:
    `immediateLoad` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `org.hibernate.engine.SessionImplementor`

### getFactory

    public org.hibernate.engine.SessionFactoryImplementor getFactory()

  Specified by:
    `getFactory` in interface `org.hibernate.engine.SessionImplementor`

### getBatcher

    public org.hibernate.jdbc.Batcher getBatcher()

  Specified by:
    `getBatcher` in interface `org.hibernate.engine.SessionImplementor`

### list

    public java.util.List list(java.lang.String query,
                               org.hibernate.engine.QueryParameters queryParameters)
                        throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### iterate

    public java.util.Iterator iterate(java.lang.String query,
                                      org.hibernate.engine.QueryParameters queryParameters)
                               throws org.hibernate.HibernateException

  Specified by:
    `iterate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(java.lang.String query,
                                                  org.hibernate.engine.QueryParameters queryParameters)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.impl.CriteriaImpl criteria,
                                                  org.hibernate.ScrollMode scrollMode)

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`

### list

    public java.util.List list(org.hibernate.impl.CriteriaImpl criteria)

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`

### listFilter

    public java.util.List listFilter(java.lang.Object collection,
                                     java.lang.String filter,
                                     org.hibernate.engine.QueryParameters queryParameters)
                              throws org.hibernate.HibernateException

  Specified by:
    `listFilter` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### iterateFilter

    public java.util.Iterator iterateFilter(java.lang.Object collection,
                                            java.lang.String filter,
                                            org.hibernate.engine.QueryParameters queryParameters)
                                     throws org.hibernate.HibernateException

  Specified by:
    `iterateFilter` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityPersister

    public org.hibernate.persister.entity.EntityPersister getEntityPersister(java.lang.String entityName,
                                                                             java.lang.Object object)
                                                                      throws org.hibernate.HibernateException

  Specified by:
    `getEntityPersister` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityUsingInterceptor

    public java.lang.Object getEntityUsingInterceptor(org.hibernate.engine.EntityKey key)
                                               throws org.hibernate.HibernateException

  Specified by:
    `getEntityUsingInterceptor` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### afterTransactionCompletion

    public void afterTransactionCompletion(boolean successful,
                                           org.hibernate.Transaction tx)

  Specified by:
    `afterTransactionCompletion` in interface `org.hibernate.engine.SessionImplementor`

### beforeTransactionCompletion

    public void beforeTransactionCompletion(org.hibernate.Transaction tx)

  Specified by:
    `beforeTransactionCompletion` in interface `org.hibernate.engine.SessionImplementor`

### getContextEntityIdentifier

    public java.io.Serializable getContextEntityIdentifier(java.lang.Object object)

  Specified by:
    `getContextEntityIdentifier` in interface `org.hibernate.engine.SessionImplementor`

### bestGuessEntityName

    public java.lang.String bestGuessEntityName(java.lang.Object object)

  Specified by:
    `bestGuessEntityName` in interface `org.hibernate.engine.SessionImplementor`

### guessEntityName

    public java.lang.String guessEntityName(java.lang.Object entity)
                                     throws org.hibernate.HibernateException

  Specified by:
    `guessEntityName` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### instantiate

    public java.lang.Object instantiate(java.lang.String entityName,
                                        java.io.Serializable id)
                                 throws org.hibernate.HibernateException

  Specified by:
    `instantiate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### listCustomQuery

    public java.util.List listCustomQuery(org.hibernate.loader.custom.CustomQuery customQuery,
                                          org.hibernate.engine.QueryParameters queryParameters)
                                   throws org.hibernate.HibernateException

  Specified by:
    `listCustomQuery` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scrollCustomQuery

    public org.hibernate.ScrollableResults scrollCustomQuery(org.hibernate.loader.custom.CustomQuery customQuery,
                                                             org.hibernate.engine.QueryParameters queryParameters)
                                                      throws org.hibernate.HibernateException

  Specified by:
    `scrollCustomQuery` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### list

    public java.util.List list(org.hibernate.engine.query.sql.NativeSQLQuerySpecification spec,
                               org.hibernate.engine.QueryParameters queryParameters)
                        throws org.hibernate.HibernateException

  Specified by:
    `list` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.engine.query.sql.NativeSQLQuerySpecification spec,
                                                  org.hibernate.engine.QueryParameters queryParameters)
                                           throws org.hibernate.HibernateException

  Specified by:
    `scroll` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getFilterParameterValue

    public java.lang.Object getFilterParameterValue(java.lang.String filterParameterName)

  Specified by:
    `getFilterParameterValue` in interface `org.hibernate.engine.SessionImplementor`

### getFilterParameterType

    public org.hibernate.type.Type getFilterParameterType(java.lang.String filterParameterName)

  Specified by:
    `getFilterParameterType` in interface `org.hibernate.engine.SessionImplementor`

### getEnabledFilters

    public java.util.Map getEnabledFilters()

  Specified by:
    `getEnabledFilters` in interface `org.hibernate.engine.SessionImplementor`

### getDontFlushFromFind

    public int getDontFlushFromFind()

  Specified by:
    `getDontFlushFromFind` in interface `org.hibernate.engine.SessionImplementor`

### getListeners

    public org.hibernate.event.EventListeners getListeners()

  Specified by:
    `getListeners` in interface `org.hibernate.engine.SessionImplementor`

### getPersistenceContext

    public org.hibernate.engine.PersistenceContext getPersistenceContext()

  Specified by:
    `getPersistenceContext` in interface `org.hibernate.engine.SessionImplementor`

### executeUpdate

    public int executeUpdate(java.lang.String query,
                             org.hibernate.engine.QueryParameters queryParameters)
                      throws org.hibernate.HibernateException

  Specified by:
    `executeUpdate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### executeNativeUpdate

    public int executeNativeUpdate(org.hibernate.engine.query.sql.NativeSQLQuerySpecification specification,
                                   org.hibernate.engine.QueryParameters queryParameters)
                            throws org.hibernate.HibernateException

  Specified by:
    `executeNativeUpdate` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getNonFlushedChanges

    public org.hibernate.engine.NonFlushedChanges getNonFlushedChanges()
                                                                throws org.hibernate.HibernateException

  Specified by:
    `getNonFlushedChanges` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### applyNonFlushedChanges

    public void applyNonFlushedChanges(org.hibernate.engine.NonFlushedChanges nonFlushedChanges)
                                throws org.hibernate.HibernateException

  Specified by:
    `applyNonFlushedChanges` in interface `org.hibernate.engine.SessionImplementor`
  Throws:
    `org.hibernate.HibernateException`

### getEntityMode

    public org.hibernate.EntityMode getEntityMode()

  Specified by:
    `getEntityMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getEntityMode` in interface `org.hibernate.Session`

### getEntityName

    public java.lang.String getEntityName(java.lang.Object object)
                                   throws org.hibernate.HibernateException

  Specified by:
    `getEntityName` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getFlushMode

    public org.hibernate.FlushMode getFlushMode()

  Specified by:
    `getFlushMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getFlushMode` in interface `org.hibernate.Session`

### getIdentifier

    public java.io.Serializable getIdentifier(java.lang.Object object)
                                       throws org.hibernate.HibernateException

  Specified by:
    `getIdentifier` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getNamedQuery

    public org.hibernate.Query getNamedQuery(java.lang.String queryName)
                                      throws org.hibernate.HibernateException

  Specified by:
    `getNamedQuery` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `getNamedQuery` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### getNamedSQLQuery

    public org.hibernate.Query getNamedSQLQuery(java.lang.String name)

  Specified by:
    `getNamedSQLQuery` in interface `org.hibernate.engine.SessionImplementor`

### isEventSource

    public boolean isEventSource()

  Specified by:
    `isEventSource` in interface `org.hibernate.engine.SessionImplementor`

### afterScrollOperation

    public void afterScrollOperation()

  Specified by:
    `afterScrollOperation` in interface `org.hibernate.engine.SessionImplementor`

### setFetchProfile

    public void setFetchProfile(java.lang.String name)

  Specified by:
    `setFetchProfile` in interface `org.hibernate.engine.SessionImplementor`

### getFetchProfile

    public java.lang.String getFetchProfile()

  Specified by:
    `getFetchProfile` in interface `org.hibernate.engine.SessionImplementor`

### getJDBCContext

    public org.hibernate.jdbc.JDBCContext getJDBCContext()

  Specified by:
    `getJDBCContext` in interface `org.hibernate.engine.SessionImplementor`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.hibernate.engine.SessionImplementor`

### getLoadQueryInfluencers

    public org.hibernate.engine.LoadQueryInfluencers getLoadQueryInfluencers()

  Specified by:
    `getLoadQueryInfluencers` in interface `org.hibernate.engine.SessionImplementor`

### getSession

    public org.hibernate.Session getSession(org.hibernate.EntityMode entityMode)

  Specified by:
    `getSession` in interface `org.hibernate.Session`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.hibernate.Session`

### getStatistics

    public org.hibernate.stat.SessionStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `org.hibernate.Session`

### isReadOnly

    public boolean isReadOnly(java.lang.Object entityOrProxy)

  Specified by:
    `isReadOnly` in interface `org.hibernate.Session`

### getTransaction

    public org.hibernate.Transaction getTransaction()

  Specified by:
    `getTransaction` in interface `org.hibernate.Session`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `isConnected` in interface `org.hibernate.Session`

### isDirty

    public boolean isDirty()
                    throws org.hibernate.HibernateException

  Specified by:
    `isDirty` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isDefaultReadOnly

    public boolean isDefaultReadOnly()

  Specified by:
    `isDefaultReadOnly` in interface `org.hibernate.Session`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `isOpen` in interface `org.hibernate.Session`

### load

    public java.lang.Object load(java.lang.String entityName,
                                 java.io.Serializable id)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public java.lang.Object load(java.lang.String entityName,
                                 java.io.Serializable id,
                                 org.hibernate.LockMode lockMode)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public java.lang.Object load(java.lang.String entityName,
                                 java.io.Serializable id,
                                 org.hibernate.LockOptions lockOptions)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public void load(java.lang.Object object,
                     java.io.Serializable id)
              throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public java.lang.Object load(java.lang.Class theClass,
                                 java.io.Serializable id)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public java.lang.Object load(java.lang.Class theClass,
                                 java.io.Serializable id,
                                 org.hibernate.LockMode lockMode)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### load

    public java.lang.Object load(java.lang.Class theClass,
                                 java.io.Serializable id,
                                 org.hibernate.LockOptions lockOptions)
                          throws org.hibernate.HibernateException

  Specified by:
    `load` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### lock

    public void lock(java.lang.String entityName,
                     java.lang.Object object,
                     org.hibernate.LockMode lockMode)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### buildLockRequest

    public org.hibernate.Session.LockRequest buildLockRequest(org.hibernate.LockOptions lockOptions)

  Specified by:
    `buildLockRequest` in interface `org.hibernate.Session`

### lock

    public void lock(java.lang.Object object,
                     org.hibernate.LockMode lockMode)
              throws org.hibernate.HibernateException

  Specified by:
    `lock` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public java.lang.Object merge(java.lang.String entityName,
                                  java.lang.Object object)
                           throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### merge

    public java.lang.Object merge(java.lang.Object object)
                           throws org.hibernate.HibernateException

  Specified by:
    `merge` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(java.lang.String entityName,
                        java.lang.Object object)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### persist

    public void persist(java.lang.Object object)
                 throws org.hibernate.HibernateException

  Specified by:
    `persist` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect()
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### reconnect

    public void reconnect(java.sql.Connection connection)
                   throws org.hibernate.HibernateException

  Specified by:
    `reconnect` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(java.lang.Object object)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(java.lang.Object object,
                        org.hibernate.LockMode lockMode)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### refresh

    public void refresh(java.lang.Object object,
                        org.hibernate.LockOptions lockOptions)
                 throws org.hibernate.HibernateException

  Specified by:
    `refresh` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(java.lang.String entityName,
                          java.lang.Object object,
                          org.hibernate.ReplicationMode replicationMode)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### replicate

    public void replicate(java.lang.Object object,
                          org.hibernate.ReplicationMode replicationMode)
                   throws org.hibernate.HibernateException

  Specified by:
    `replicate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public java.io.Serializable save(java.lang.String entityName,
                                     java.lang.Object object)
                              throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### save

    public java.io.Serializable save(java.lang.Object object)
                              throws org.hibernate.HibernateException

  Specified by:
    `save` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(java.lang.String entityName,
                             java.lang.Object object)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### saveOrUpdate

    public void saveOrUpdate(java.lang.Object object)
                      throws org.hibernate.HibernateException

  Specified by:
    `saveOrUpdate` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### setCacheMode

    public void setCacheMode(org.hibernate.CacheMode cacheMode)

  Specified by:
    `setCacheMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `setCacheMode` in interface `org.hibernate.Session`

### setDefaultReadOnly

    public void setDefaultReadOnly(boolean readOnly)

  Specified by:
    `setDefaultReadOnly` in interface `org.hibernate.Session`

### setFlushMode

    public void setFlushMode(org.hibernate.FlushMode flushMode)

  Specified by:
    `setFlushMode` in interface `org.hibernate.engine.SessionImplementor`
  Specified by:
    `setFlushMode` in interface `org.hibernate.Session`

### setReadOnly

    public void setReadOnly(java.lang.Object entity,
                            boolean readOnly)

  Specified by:
    `setReadOnly` in interface `org.hibernate.Session`

### doWork

    public void doWork(org.hibernate.jdbc.Work work)
                throws org.hibernate.HibernateException

  Specified by:
    `doWork` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(java.lang.String entityName,
                       java.lang.Object object)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### update

    public void update(java.lang.Object object)
                throws org.hibernate.HibernateException

  Specified by:
    `update` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.HibernateException`

### isFetchProfileEnabled

    public boolean isFetchProfileEnabled(java.lang.String name)
                                  throws org.hibernate.UnknownProfileException

  Specified by:
    `isFetchProfileEnabled` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.UnknownProfileException`

### enableFetchProfile

    public void enableFetchProfile(java.lang.String name)
                            throws org.hibernate.UnknownProfileException

  Specified by:
    `enableFetchProfile` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.UnknownProfileException`

### disableFetchProfile

    public void disableFetchProfile(java.lang.String name)
                             throws org.hibernate.UnknownProfileException

  Specified by:
    `disableFetchProfile` in interface `org.hibernate.Session`
  Throws:
    `org.hibernate.UnknownProfileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.